#include "stdint.h"

#ifndef __BITMAP1BPP_H__
#define __BITMAP1BPP_H__

class Bitmap1bpp
{
    public:
        Bitmap1bpp(uint16_t width, uint16_t height);
        ~Bitmap1bpp();
        
        inline uint16_t getWidth() { return _width; }
        inline uint16_t getHeight() { return _height; }
        inline uint16_t getStride() { return _stride; }
        
        inline uint8_t *getBitmapData() { return _pBitmapData; }
        
        void clear();
        
        void setPixel(int16_t x, int16_t y, uint16_t color);
        uint16_t getPixel(int16_t x, int16_t y);
        
        void fastHLine(int16_t x1, int16_t x2, int16_t y, uint16_t color);
        void fastVLine(int16_t y1, int16_t y2, int16_t x, uint16_t color);
        
    private:
        uint16_t    _width;
        uint16_t    _height;
        uint16_t    _stride;
        uint8_t     *_pBitmapData;
};

#endif //__BITMAP1BPP_H__